<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.byzs.module.bjdx.dal.mysql.coursequestoption.CourseQuestOptionMapper">



    <select id="selectListByQuestId" 
            resultType="cn.iocoder.byzs.module.bjdx.dal.dataobject.coursequestoption.CourseQuestOptionDO">
        select id,cqo_quest_id cqoQuestId, cqo_value cqoValue, cqo_option cqoOption, cqo_socre cqoSocre, cqo_is_answer cqoIsAnswer
                from bjdx_course_quest_option
        where deleted = 0 AND cqo_quest_id in
        <foreach item="questId" collection="questIdSet"
                 open="(" separator="," close=")">
            #{questId}
        </foreach>
    </select>
</mapper>